use strict;
use warnings;
use Module::Build::CipUX;

my $builder = Module::Build::CipUX->new(
    module_name       => 'CipUX::Object',
    license           => 'gpl',
    dist_author       => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version_from => 'lib/CipUX/Object.pm',
    installdirs       => 'vendor',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {
        'Test::Perl::Critic'  => 0,
        'Test::Pod::Coverage' => '1.04',
    },

    build_requires => {
        'Module::Build::CipUX' => '0.3.0',
        'Test::More'           => 0,
        'Test::Pod'            => '1.14',
        'Test::Refcount'       => 0,
        'Test::LeakTrace'      => 0,

    },

    requires => {
        'Carp'           => 0,
        'CipUX'          => '3.4.0.0',
        'CipUX::Storage' => '3.4.0.0',
        'Class::Std'     => '0.0.9',
        'Crypt::SmbHash' => 0,
        'Data::Dumper'   => 0,
        'Getopt::Long'   => 0,
        'Hash::Merge'    => 0,
        'Log::Log4perl'  => 0,
        'Pod::Usage'     => 0,
        'Readonly'       => 0,
        'version'        => 0,
    },

    add_to_cleanup => ['CipUX-Object-*'],
);

# Only to uncomment, if you changed the BUILD target
# $builder->add_build_element('dat');
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->create_build_script();

